Opened 4 years ago

Closed 4 years ago

#10019 closed enhancement (wontfix)

cannot save 'additoinal' additional parameters in enigmail

Reported by: johnshaft Owned by: sukhbir
Priority: Medium Milestone:
Component: Applications/TorBirdy Version:
Severity: Keywords: torbirdy, thunderbird, enigmail
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

i want to add the following into thunderbird 24.0.1 and enigmail 1.6

personal-cipher-preferences TWOFISH,AES256,CAMELLIA256,BLOWFISH,AES,AES192,CAMELLIA128,CAMELLIA192

personal-digest-preferences SHA512,SHA384,SHA256,SHA224

but each time i restart TB these are removed most likely by torbirdy 0.1.1

can this be changed to allow so ?

using linux mint 13 (precise ubuntu) amd-64
2013-10-24 04:59:09.834 [DEBUG] enigmail.js: detected GnuPG version '2.0.22'

Child Tickets

Change History (4)

comment:1 Changed 4 years ago by sukhbir

Owner: changed from ioerror to sukhbir
Status: newassigned

Yes, this is expected behaviour as you probably might know. It's not clear where are you trying to add this setting though. In the Additional parameters for GnuPG or in your gpg.conf?

(Note: Don't use TorBirdy 0.1.1 with Thunderbird 24. We will be releasing 0.1.2 very soon and I recommend that you upgrade.)

comment:2 Changed 4 years ago by johnshaft

in enigmail additional parameters ...

why not 0.1.1 in 24 ?

will the update go live in mozilla add-ons or direct download from Tor website ?

comment:3 in reply to:  2 Changed 4 years ago by sukhbir

in enigmail additional parameters ...

Yes, TorBirdy will overwrite that preference as we are setting it ourselves and so it is enforced. I don't think we plan to allow toggling this so what I recommend is that you put this in your ~/.gnugpg/gpg.conf and then Enigmail will pick it up from there as it will be the default gpg setting.

Example:

personal-digest-preferences SHA512

why not 0.1.1 in 24 ?

Some of the interfaces have changed in TB 24 and so TorBirdy 0.1.1 is no longer compatible with it. Nothing leaks (as far as I checked) but you should definitely upgrade to 0.1.2 (which we released today).

will the update go live in mozilla add-ons or direct download from Tor website ?

You can either get it from the Tor website or wait for it to be available on Mozilla Add-ons after having being reviewed by them, which can take a while.

Last edited 4 years ago by sukhbir (previous) (diff)

comment:4 Changed 4 years ago by sukhbir

Resolution: wontfix
Status: assignedclosed

The new version of TorBirdy with TB 24 support has been released in case you don't follow tor-talk.

https://lists.torproject.org/pipermail/tor-talk/2013-November/030963.html

You can upgrade immediately (link to XPI in above email) or wait for Mozilla to review it and update it on Mozilla Add-ons.

I am closing this ticket since I think it is best solved by specifying the setting in gpg.conf. Feel free to open it if you disagree.

Note: See TracTickets for help on using tickets.